Calendar Event Types
Tags: configuration, events, scheduling
Endpoints
GET- ListPOST- CreateDELETE /{event_type_id}- Delete Event Type IdGET /{event_type_id}- Get Event Type IdPUT /{event_type_id}- Update Event Type Id
List
GET /api/v2/w/{workspace_uuid}/calendar-event-types
Description:
Calendar event type definitions
List all calendar event types.
Authorization: Requires calendars:read scope
Parameters:
page(Integer)pageSize(Integer)active_only(Boolean)
Response: See PaginatedResponse[EventTypeResponse]
Create
POST /api/v2/w/{workspace_uuid}/calendar-event-types
Description:
Calendar event type definitions
Create a new calendar event type.
Authorization: Requires calendars:write scope
Parameters:
request- See CreateEventTypeRequest
Response: See EventTypeResponse
Delete Event Type Id
DELETE /api/v2/w/{workspace_uuid}/calendar-event-types/{event_type_id}
Description:
Calendar event type definitions
Delete a calendar event type.
Note: This will fail if there are existing events using this type. Consider deactivating instead by setting active=false.
Authorization: Requires calendars:admin scope
Parameters:
event_type_id(Integer)
Response: See dict
Get Event Type Id
GET /api/v2/w/{workspace_uuid}/calendar-event-types/{event_type_id}
Description:
Calendar event type definitions
Get a specific event type by ID.
Authorization: Requires calendars:read scope
Parameters:
event_type_id(Integer)
Response: See EventTypeResponse
Update Event Type Id
PUT /api/v2/w/{workspace_uuid}/calendar-event-types/{event_type_id}
Description:
Calendar event type definitions
Update an existing calendar event type.
Authorization: Requires calendars:write scope
Parameters:
event_type_id(Integer)request- See UpdateEventTypeRequest
Response: See EventTypeResponse